% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      ccdist2
% from  2022-04-01 


% setup the problem
problem = setup_problem;

% generate a grid on the domain
[x,y,z] = meshgrid(linspace(0,1,21),linspace(0,1,21),linspace(0,1,21));

% plot the desired state component 1
figure(1); clf; hold on
val = vd1(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('desired state v_{d,1}');
view(3);

% plot the desired state component 2
figure(2); clf; hold on
val = vd2(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('desired state v_{d,2}');
view(3);

% plot the desired state component 3
figure(3); clf; hold on
val = vd3(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('desired state v_{d,3}');
view(3);

% plot the force component 1
figure(4); clf; hold on
val = f1(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('force v_{d,1}');
view(3);

% plot the force component 2
figure(5); clf; hold on
val = f2(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('force v_{d,2}');
view(3);

% plot the force component 3
figure(6); clf; hold on
val = f3(problem,x,y,z);
scatter3(x(:),y(:),z(:),[],val(:),'.');
xlabel('x');
ylabel('y');
zlabel('z');
title('force v_{d,3}');
view(3);

